Vue.component('header-tab', {
	template: '<div class="div-header">\
			<div class="fl">\
				<div class="application-name">{{appname}}</div>\
				<div class="vertical-line"></div>\
				<img v-show="isback" @click="back" src="../../../images/fanhui_icon.png" width="18" height="18" class="mr10 vam" />\
				<img v-show="isrefresh" @click="refresh" src="../../../images/shuaxin_icon.png" width="18" height="18" class="vam" />\
			</div>\
			<div class="fr mt10">\
			    <img v-show="isdownload" @click="download" src="../../../images/download.png" width="18" height="18" class="mr10" />\
				<img v-show="isfilter" @click="filter" src="../../../images/xuanzhe_icon.png" width="18" height="18" class="mr10" />\
				<img v-show="isopen" @click="open" src="../../../images/zhankai_icon.png" width="18" height="18" />\
			</div>\
		</div>',
	props: ["appname","code","isback", "isrefresh","isfilter","isopen", "isdownload"],
	data: function() {
		return {
			
		}
	},
	mounted: function() {
		
	},
	methods: {
		//返回事件
		back:function(){
			EventBus.$emit('back-click', {});
		},
		//刷新事件
		refresh:function(){
			EventBus.$emit('refresh-click', {});
		},
		//筛选事件
		filter:function(){
			EventBus.$emit('filter-click', {});
		},
		//展开事件
		open:function(){
			EventBus.$emit('open-click', {});
		},
		download: function(){
		    this.$emit('download', {});
		}
	}
})